#!/bin/sh
# -*- Mode: sh -*-
# Copyright (C) 2000 by Chmouel Boudjnah <chmouel@mandrakesoft.com>,
# MandrakeSoft
# Redistribution of this file is permitted under the terms of the GNU 
# Public License (GPL)

true_binary=/usr/bin/winereal
etcdir=/usr/share/wine/
default=${etcdir}/wine.config.default
configurator=${etcdir}/wine-config
winedir=${HOME}/.wine/

if [ ! -d ${winedir} ];then
    mkdir -p ${winedir}
    cp ${default} ${winedir}/config
#    if [ -x /usr/bin/perl ];then
#	perl ${configurator} ${winedir}/config || :
#    fi
fi

WORKDIR=".";

while [ $# -gt 0 ]; do
    case "$1" in
    "-workdir") WORKDIR="$2"; shift 2;;
    *) break;;
    esac
done;

cd "$WORKDIR";

${true_binary} "$@"
